Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Interface ContainerListener

All Superinterfaces:
  BoxComponentListener, ComponentListener

All Known Subinterfaces:
  FormPanelListener, PanelListener, TabPanelListener, TreePanelListener, WindowListener

All Known Implementing Classes:
  ContainerListenerAdapter, FormPanelListenerAdapter, PanelListenerAdapter, TabPanelListenerAdapter, TreePanelListenerAdapter, WindowListenerAdapter

    public interface ContainerListener

extends BoxComponentListener

Container listener interface.

Method Summary
`boolean` | `doBeforeAdd(Container self, Component component, int index)` Fires before any Component is added or inserted into the container.
`boolean` | `doBeforeRemove(Container self, Component component)` Fires before any Component is removed from the container.
`void` | `onAdd(Container self, Component component, int index)` Fires after any Component is added or inserted into the container.
`void` | `onAfterLayout(Container self)` Fires when the components in this container are arranged by the associated layout manager.
`void` | `onRemove(Container self, Component component)` Fires after any Component is removed from the container.

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Method Detail

### onAdd

    void onAdd(Container self,
               Component component,
               int index)

  Fires after any Component is added or inserted into the container.

  Parameters:
    `self` - self
    `component` - the component being added
    `index` - the index at which the component was added to the container's items collection

### onAfterLayout

    void onAfterLayout(Container self)

  Fires when the components in this container are arranged by the associated layout manager.

  Parameters:
    `self` - self

### doBeforeAdd

    boolean doBeforeAdd(Container self,
                        Component component,
                        int index)

  Fires before any Component is added or inserted into the container. A handler can return false to cancel the add.

  Parameters:
    `self` - self
    `component` - the component being added
    `index` - the index at which the component was added to the container's items collection
  Returns:
    false to cancel

### doBeforeRemove

    boolean doBeforeRemove(Container self,
                           Component component)

  Fires before any Component is removed from the container. A handler can return false to cancel the remove.

  Parameters:
    `self` - self
    `component` - the container being removed
  Returns:
    false to cancel

### onRemove

    void onRemove(Container self,
                  Component component)

  Fires after any Component is removed from the container.

  Parameters:
    `self` - self
    `component` - the container being removed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD